Skip to main content
POST
Create an integration Link

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Body

application/json
access_token
string
required
write-only

The generated token that grants access to the bank (this is encrypted in transit and at-rest with a custom key)

Example:

"access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6"

end_user_id
string
required
write-only

A unique identifier for your end user (customer) generated by you

Example:

"7cb48787-6d91-5b9f-bc60-f30298ea5736"

item_id
string
required

Unique identifier for each bank connection made by your end users. In Plaid this is the 'item_id'.

Example:

"M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op"

asset_report_token
string | null
write-only

Optional. If you already have a Plaid asset report, pass the token to skip creating a new one.

assets_report_days_to_sync
integer | null
write-only

Plaid assets report only. Days of history for the first report. Defaults to your account setting. Refreshes without this field use your account setting and delete transactions older than it.

Required range: 1 <= x <= 730
Example:

90

end_user_name
string
write-only

An human readable name for this end user, like the company legal name

Example:

"Acme Corp"

Response

201 - application/json

Created